List Pickup Methods

Retrieves a list of pickup methods. ## Examples You can filter this list to return pickup method objects specific to a list of requested pickup method IDs. This is achieved by appending the query string `?id:in=1,3,5` to the resource `/pickup/methods`. ```http GET /pickup/methods?id:in=1,3,5 ```

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Order Fulfillment | read-only | `store_order_fulfillment_read_only` | | Order Fulfillment | modify | `store_order_fulfillment_manage` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Query parameters

id:inlongOptional
Comma separated list of pickup method IDs.
limitlongOptional
Maximum number of results per page.
pagelongOptional
The number of the page to be fetched.
date_createddatetimeOptional

Filter pickup methods by the date created. Return methods created on the provided date.

For example, date_created=2023-09-07T06:23:13Z.

date_created:mindatetimeOptional

Filter pickup methods by minimum date created. Return methods created after the provided date.

For example, date_created:min=2023-09-07T06:23:13Z.

date_created:maxdatetimeOptional

Filter pickup methods by maximum date created. Return methods created before the provided date.

For example, date_created:max=2023-09-07T06:23:13Z.

date_modifieddatetimeOptional

Filter pickup methods by date modified. Return methods modified on the provided date.

For example, date_modified=2023-09-07T06:23:13Z.

date_modified:mindatetimeOptional

Filter pickup methods by minimum date modified. Return methods modified after the provided date.

For example, date_modified:min=2023-09-07T06:23:13Z.

date_modified:maxdatetimeOptional

Filter pickup methods by maximum date modified. Return methods modified before the provided date.

For example, date_modified:max=2023-09-07T06:23:13Z.

sortenumOptional
Sort pickup methods by date_modified:* or name:* ; for example, `sort=name:asc`. - `date_modified:asc` - sort by date modified in ascending order - `date_modified:desc` - sort by date modified in descending order - `name:asc` - sort by name in ascending order - `name:desc` - sort by name in descending order
Allowed values:

Response

The request has been processed and a list of pickup methods has been returned successfully.
datalist of objects
metaobject